# -*- coding: utf-8 -*-
"""
Created on Tue Sep  6 12:38:10 2016

@author: akibdpt
"""
from .mapping import mapping
from ..transform.transform import transform

class exactMap(mapping):
    
    type = 'map-individual-exactMap'
    
    def __init__(self):
        self.transforms = [transform(), 0, 0]        
        return
        
    @staticmethod
    def getInstance():
        return exactMap()
    
    def clear(self):
        return
    
    def map(self, fromInd, toInd):
        return fromInd == toInd
        
    def potentialTransforms(self):
        return [self.transforms]   
        
    def replicateTransform(self, source, target):
        return [self.transforms]