# -*- coding: utf-8 -*-
"""
Created on Wed Sep  7 15:12:30 2016

@author: akibdpt
"""

"""
simple tree structure 
used for ordering fragments in rule analysis 
"""
class treeLink():
    def __init__(self, content, parent = None, children = None):
        self.content = content
        self.parent = parent
        if children is None:
            self.children = []
        else:
            self.children = children
                
                
    def printTreeLink(self):
        print('=====',self.content)
        for i in self.children:
            print('======',i.content)
        
    def firstChild(self):
        if len(self.children) == 0:
            return None
        else:
            return self.children[0]
            
    def addChild(self, child):
        self.children.append(child)
        
    def sortChildren(self):
        self.children.sort()
        
    def compareValue(self):
        return